Reads transactions list of a specific user's saving account

Reads account data from a given saving account addressed by "account-id".
If no dateFrom nor dateTo are specified, all transactions will be returned.

BOI-REMARK - BOI is differentiating ASPSPs in the role of banks and of credit card processors:

  • For banks, this endpoint is returning the aggregated transactions on all cards related to the addressed reconciliation account.
  • For credit card processors, this endpoint will deliver the transactions of the related credit card.

ASPSP shall choose between responding to read card transaction list service in one step to responding in two steps as described below-

  • For 'read card transaction list service', conditional attributes - attributes presented to the PSU by the ASPSP through the on-line channels at the card transaction page.
  • For 'card transaction details service' , conditional attribute - attributes presented to the PSU by the ASPSP through the on-line channels, following an added PSU's query (for example - an additional click).
    The implementation option shall be documented in the ASPSP's XS2A interface.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

ID of the addressed user. Consists of the sub + @ + tpp_id.

string
required
length ≤ 523

Resource ID of the addressed consent.

string
required
length ≤ 523

Resource ID of the addressed saving.

Query Params
date

Conditional: Starting date (inclusive the date dateFrom) of the balances/transaction list.

For booked transactions, the relevant date is the booking date.

For pending transactions, the relevant date is the entry date, which may not be transparent
neither in this API nor other channels of the ASPSP.
BOI REMARK: The earliest date can be 12 months prior to "now".
In case of exception from the minimum value the response will be only for the minimum period (12 months).

date

End date (inclusive the data dateTo) of the balances/transaction list, default is "now" if not given.

For booked transactions, the relevant date is the booking date.

For pending transactions, the relevant date is the entry date, which may not be transparent
neither in this API nor other channels of the ASPSP.
BOI-REMARK: ASPSP must support this option for account-id/transactions

string
enum
required

Permitted codes are

  • "booked"
  • "pending"
  • "both"
    "booked" shall be supported by the ASPSP.
    To support the "pending" and "both" feature is optional for the ASPSP,
    Error code if not supported in the online banking frontend
Allowed:
boolean

If contained, we won't update user's financial data (i.e. no account data requests will be made to the ASPSP).

string

In case the request processing took longer than X-Request-Wait milliseconds,
this value will be used for resuming the past request.

Headers
string
integer
≥ 0
Defaults to 10

In case the request processing requires calls to external resources (as ASPSPs),
this value will define the maximum number of milliseconds
in which the API server will wait for all external resources' responses to complete.
If not present, the default configured duration will be used.

string
length ≤ 15

In case if end user is online, this header should be present and contain an IP address of the user.

string

Contains TPP name

string
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*